geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Donald Woods <dwo...@apache.org>
Subject Re: [VOTE] Release OpenJPA-2.0.0 Plugins for Geronimo 2.1.3-2.1.5 servers
Date Wed, 28 Apr 2010 14:05:34 GMT
The SNAPSHOT and beta references in the artifact-alias entries are to
handle upgrades from previous versions of the plugins.  The next release
of the plugins, will only contain entries to upgrade from this level
(2.1.3 or 2.2) of the plugins.

The jpa-tests are not being built and published as artifacts, as they
generate maven-release-plugin failures that I couldn't resolve.  Those
are copies of the tests from the 2.1.x server, but upgraded to run
against openjpa2, which isn't required once you install the plugins in a
real server.


-Donald


On 4/28/10 9:28 AM, Joe Bohn wrote:
> I see a lot of SNAPSHOT references in the poms.   Many of these are for
> artifact-alias entries which shouldn't be a problem (but I wonder if
> they are really necessary ... such as reference for openjpa
> 2.0.0-SNAPSHOT).
> 
> Also, is it really essential to have SNAPSHOT versions of Geronimo
> artifacts in the plugin artifact-alias entries?  I thought we could
> accomplish the same thing in server artifact-alias entries so that
> plugin could be "clean".  For example, can't we include artifact-alias
> entries in Geronimo 2.1.6-SNAPSHOT to map references for 2.1.5 artifacts
> to the 2.1.6-SNAPSHOT equivalent such that when we release Geronimo
> 2.1.6 the SNAPSHOT entries would be removed?  I know it's not a big deal
> for artifact-alias entries but I always get a little nervous when I see
> SNAPSHOT references in release in any form.
> 
> However, there is a bigger concern I think - a 2.1.3-SNAPSHOT version
> for jpa-tests and references to that from jpa-ear, jpa-ejb, and jpa-war.
> 
> Joe
> 
> 
> 
> On 4/23/10 4:15 PM, Donald Woods wrote:
>> I've created a release candidate of a set of plugins that can be
>> used to upgrade an existing Geronimo 2.1.3, 2.1.4, 2.1.5 or
>> 2.1.6-SNAPSHOT server from OpenJPA 1.x to the new OpenJPA 2.0.0 release,
>> so users can start experimenting with a JPA 2.0 certified codebase.
>>
>> You can install the plugins by using the console Plugin portlet and
>> Updating the existing plugin repos to see the g.a.o/plugins/openjpa2 or
>> you can try using the following mirror catalog site:
>> http://people.apache.org/~dwoods/geronimo/openjpa2/
>>
>>
>> Staging repo:
>> https://repository.apache.org/content/repositories/orgapachegeronimo-017/
>>
>> Source tag:
>> https://svn.apache.org/repos/asf/geronimo/plugins/openjpa2/tags/2.1.3/
>>
>> Source tar/zips:
>> https://repository.apache.org/content/repositories/orgapachegeronimo-017/org/apache/geronimo/plugins/openjpa2/2.1.3/
>>
>>
>> For plugin installation instructions, see:
>> https://svn.apache.org/repos/asf/geronimo/plugins/openjpa2/tags/README.txt
>>
>> Note: There are 2 plugins at version 2.1.3 to install (openjpa2 and
>> persistence-deployer-jpa20.)  You will need to restart your server
>> before running or deploying apps that need JPA2 so the artifactAlias
>> entries will take affect and replace already loaded OpenJPA 1.x and spec
>> jars.
>> The latest version of Daytrader 2.1.3 that can be used for testing can
>> be installed as a plugin from:
>> http://people.apache.org/~dwoods/daytrader-2.1.3/
>>
>>
>> Vote will be open for 72 hours.
>>
>> [ ] +1  approve
>> [ ] +0  no opinion
>> [ ] -1  disapprove (and reason why)
>>
>>
>> Thanks,
>> Donald
>>
> 
> 

Mime
View raw message